package org.jtheque.updates;

/*
 * Copyright JTheque (Baptiste Wicht)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * The result of the installation of a module.
 *
 * @author Baptiste Wicht
 */
public interface InstallationResult {
    /**
     * Indicate if the module has been installed.
     *
     * @return true if the module has been installed else false.
     */
    boolean isInstalled();

    /**
     * Return the jar-file name.
     *
     * @return The name of the jar file.
     */
    String getJarFile();
}
